Skip to main content
POST
/
v2
/
workflows
/
dlq
/
restart
/
{dlqId}
Restart Workflow from DLQ
curl --request POST \
  --url https://qstash.upstash.io/v2/workflows/dlq/restart/{dlqId} \
  --header 'Authorization: Bearer <token>'
{
  "workflowRunId": "<string>",
  "workflowCreatedAt": 123
}

Authorizations

Authorization
string
header
required

QStash authentication token

Headers

Upstash-Retries
integer

Override the number of retries for the workflow steps.

Upstash-Delay
string

Override the delay before executing the workflow. Format is <value><unit> (e.g., "10s", "5m").

Upstash-Retry-Delay
string

Override the retry delay expression for the workflow steps.

Upstash-Flow-Control-Key
string

Override the flow control key for the workflow.

Upstash-Flow-Control-Value
string

Override the flow control configuration in the format parallelism=<value>, rate=<value>, period=<value>.

Upstash-Label
string

Override the label for the workflow.

Upstash-Failure-Callback
string

Override the failure callback URL for the workflow.

Path Parameters

dlqId
string
required

The DLQ ID of the workflow run to restart.

Response

Workflow restarted successfully

workflowRunId
string

The ID of the restarted workflow run (a new ID is generated for the restarted run).

workflowCreatedAt
integer<int64>

The timestamp when the restarted workflow run was created (Unix timestamp in milliseconds).